classification
Title: Should itertools.count work for arbitrary integers?
Type: behavior Stage:
Components: Library (Lib) Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: eopadoan, rhettinger
Priority: normal Keywords:

Created on 2007-09-15 15:19 by eopadoan, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Messages (1)
msg55927 - (view) Author: Eduardo Padoan (eopadoan) Date: 2007-09-15 15:19
Currently, itertools.count.__next__ checks wether the current value is >
PY_SSIZE_T_MAX and raises OverflowError if so. Shouldn't the value be
stored as "long", at least in Py3k? Not that I have any use case for it,
so it is minor.
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: + Python 3.0
2007-11-08 02:48:15rhettingersetstatus: open -> closed
resolution: fixed
versions: + Python 2.6, - Python 3.0
2007-09-16 23:22:57rhettingersetassignee: rhettinger
nosy: + rhettinger
2007-09-16 16:18:38eopadoansetseverity: critical -> minor
2007-09-16 02:34:59duboissetnosy: - esr
2007-09-16 02:34:21duboissetmessages: - msg55928
2007-09-15 22:31:11loewissetkeywords: + py3k, - patch
2007-09-15 22:31:03loewissetdependencies: - Elemental Security contribution - pgen2 package, --install-base not honored on win32
2007-09-15 22:30:25loewissetkeywords: + patch, - r-eyyy-mond
2007-09-15 22:30:16loewissetassignee: esr -> (no value)
2007-09-15 15:31:10esrsetdependencies: + Elemental Security contribution - pgen2 package
2007-09-15 15:30:55esrsetdependencies: + --install-base not honored on win32
type: compile error -> behavior
versions: - Python 2.6, Python 2.5, Python 2.4, Python 2.3, Python 2.2.3, Python 2.2.2, Python 2.2.1, Python 2.2, Python 2.1.2, Python 2.1.1, 3rd party
2007-09-15 15:30:10esrsettype: behavior -> compile error
2007-09-15 15:30:04esrsetversions: + Python 2.6, Python 2.5, Python 2.4, Python 2.3, Python 2.2.3, Python 2.2.2, Python 2.2.1, Python 2.2, Python 2.1.2, Python 2.1.1, 3rd party
2007-09-15 15:29:37esrsetkeywords: + r-eyyy-mond
2007-09-15 15:29:02esrsetseverity: minor -> critical
2007-09-15 15:27:31esrsetassignee: esr
messages: + msg55928
nosy: + esr
2007-09-15 15:19:47eopadoancreate